
cc.Class({
    extends: cc.Component,

    properties: {
        SharePng:cc.SpriteFrame
    },
    onShareBtn: function(){ //分享按钮
        // cc.log("点击分享按钮");
        // this.playBtnSound();
        //主动拉起分享接口
        cc.loader.loadRes("Share",function(err,data){
            wx.shareAppMessage({
                title: "不怕，就来PK！",
                // imageUrl: data.url,
                // imageUrl:'https://www.yuyekeji.cn/static/Cocos/fuhao/Share.png',
                imageUrl:'https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3603097091,3267020727&fm=26&gp=0.jpg',
                success(res){
                    // console.log("转发成功!!!")
                    common.diamond += 20;
                },
                fail(res){
                    // console.log("转发失败!!!")
                }
            })
        });

        // cc.loader.loadRes("Share",function(err,data){
        //     var url=cc.loader.md5Pipe.transformURL(data.url);
        //     // console.log(url);
        //     wx.shareAppMessage({
        //         title: "风险专家火眼金睛，妙手化解护航幸福。",
        //         imageUrl: url,
        //     })
        // });
    },
});
